Package Details: python-numpy-openblas 1.25.0-1

Git Clone URL: https://aur.archlinux.org/python-numpy-openblas.git (read-only, click to copy)
Package Base: python-numpy-openblas
Description: Scientific tools for Python - built with openblas
Upstream URL: http://numpy.org/
Licenses: custom
Conflicts: python-numpy, python3-numpy
Provides: python-numpy, python3-numpy
Submitter: xia0er
Maintainer: xia0er
Last Packager: xia0er
Votes: 24
Popularity: 0.000000
First Submitted: 2013-11-21 20:38 (UTC)
Last Updated: 2023-07-04 05:47 (UTC)

Required by (1773)

Sources (1)

Latest Comments

1 2 3 4 5 6 .. 8 Next › Last »

MarsSeed commented on 2023-08-13 16:16 (UTC)

Hi,

To transition users from this package to repo's now newer python-numpy with blas-openblas, I suggest that you change this to an empty metapackage that depends on those two.

That would ensure that everyone gets the latest versions of those, from whichever distro they are using (Arch Linux or a derivative).

You can use the following PKGBUILD code:

pkgname="python-numpy-openblas"
pkgver=1
pkgrel=1
epoch=1
pkgdesc="Meta-PKG to use NumPy with the optimized OpenBLAS-Lapack libraries"
arch=('any')
license=('Unlicense')
url="https://aur.archlinux.org/packages/python-numpy-openblas"
depends=("python-numpy" "blas-openblas")

xia0er commented on 2023-07-04 05:49 (UTC)

@MarsSeed, good point! fixed.

MarsSeed commented on 2023-07-02 19:27 (UTC)

Please kindly do one more update: change depends openblas-lapack to blas-openblas.

This will help users who used this package to make the transition to the new Arch blas-openblas and avoid install/upgrade conflicts and confusion.

xia0er commented on 2023-06-15 23:30 (UTC)

@MarsSeed, you're right on both. The new blas-openblas package means this package is no longer needed. I will no longer update it.

MarsSeed commented on 2023-06-15 12:41 (UTC)

Also, is there a difference in building this with the openblas version of lapack, or just using the repo-built python-numpy and switching its dependencies from original blas et al to the openblas implementation?

Because the new repo package blas-openblas should be a drop-in alternative to the original blas/cblas/lapack/lapacke packages at install & runtime, without recompiling anything.

MarsSeed commented on 2023-06-15 12:37 (UTC)

TLDR; Please change depends openblas-lapack to blas-openblas.

Arch announced on June 14 a new blas-openblas repo package.

The earlier AUR package openblas-lapack is the same, therefore it will have to be deleted.

gnaggnoyil commented on 2022-11-25 14:12 (UTC)

This PKGBUILD doesn't seems to work with newer python-setuptools. Possible upstream issue: https://github.com/numpy/numpy/issues/22623

FYI, I have to run export SETUPTOOLS_USE_DISTUTILS=stdlib before makepkg to make the package successfully built.

liamtimms commented on 2022-10-17 14:15 (UTC)

I will help co-maintain this if it is difficult to keep up with updates. Many packages depend on numpy and often require the most recent version for their own latest releases.

liamtimms commented on 2022-08-03 18:00 (UTC) (edited on 2022-08-08 20:14 (UTC) by liamtimms)

Can we get an update to https://github.com/numpy/numpy/releases/tag/v1.23.1 ? This is necessary for common packages which depend on numpy like pandas.

edit: thanks for taking care of that!

bnavigator commented on 2022-01-06 20:35 (UTC)

You should determine the sitelib path dynamically:

https://wiki.archlinux.org/title/Python_package_guidelines